import argparse
from pathlib import Path

from . import auto_readme_for_project

GENERATE_MULTI_MAVEN = False

def parse_args():
    parser = argparse.ArgumentParser()
    parser.add_argument('project', type=Path, default=Path('.'))
    return parser.parse_args()

def main():
    args = parse_args()

    project_path = args.project.absolute()

    auto_readme_for_project(project_path, generate_multi_maven = GENERATE_MULTI_MAVEN)

if __name__ == '__main__':
    main()
